### Virtual Method

# RB RhythmDB impl_entry_foreach_by_type

#### Declaration [src]

    void
    impl_entry_foreach_by_type (
      RhythmDB* db,
      RhythmDBEntryType* type,
      RhythmDBEntryForeachFunc func,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `RhythmDBEntryType`

  No description available.

  The data is owned by the caller of the method.

`func`

  Type: `None`

  No description available.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.